# Interface methods for submodule: RegularStepGradientDescentOptimizer
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import RegularStepGradientDescentBaseOptimizerProxy as _RegularStepGradientDescentBaseOptimizerProxy


# Interface methods for class: RegularStepGradientDescentOptimizer
class RegularStepGradientDescentOptimizerProxy(_RegularStepGradientDescentBaseOptimizerProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

